Description: For blind users error messages are hardly noticeable.

Finding and correcting the errors is even more complicated
since they have to memorize the error messages and the name of the fields.
On top of that, they have to navigate to the fields by using tab.

The fields containing the errors should be visually highlighted (either a "!" behind the field or marked red).
Sighted users quickly know where to start even on large amount of input fields without using anchors.

Solution:

*- set the focus on the error messages, so that the screenreader will notice the change and immediately read
the error message

- set anchors on the errors leading directly to the field. the user just needs to click on the error message and
can instantly correct his mistake.

This is also a general usability improvement.”

_related to Bug #659: Accessibility for blind users_

Associated revisions

2008-03-30 02:29 pm - Jean-Philippe Lang

Queries can be marked as 'For all projects'. Such queries will be available on all projects and on the global issue list (#897, closes #671).

Only admin users can create/edit queries that are public and for all projects.

Note: this change does not allow to save a query from the global issue list. You have to be inside a project but then you can mark the query as 'For all

projects'.

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1311 e93f8b46-1217-0410-a6f0-8f06a7374b81

History

2011-10-31 03:41 pm - Romano Licker
Pull request: https://github.com/chiliproject/chiliproject/pull/118

This pull request contains the following features:

- errors messages (which are created with 'error_messages_for') will be links that anchor the corresponding field

- fields containing errors are highlighted with a red border

- clicking on an error message (in case javascript enabled) will focus the input field

- the first error messages gets the focus - this is necessary because blind users would not notice the change/the error

While implementing many problems came up:

- i had to overwrite ruby/rails code

- i changed core code for the registration - i ran tests, everything looks ok but we couldn't find a reason for the existing implementation, please have a
look (0048ee49ac7136228b596593ab3d7096ec68ec98)

Another huge problem we have are errors containing flash messages. We cannot make them as flexible and accessible as we did with the

error_messages_for - ones.
We will look into that soon.

2011-11-07 01:29 am - Eric Davis
I really don't like all of the Rails patches for this, especially since they contain a lot of code and have no tests.
